Introduction

K2 connect 5.0 includes enhancements and bug fixes for K2 connect. Take note of the following requirements when installing K2 connect 5.0 in your environment:

  1. Installing K2 connect on an upgraded K2 Five environment: You must upgrade from K2 blackpearl 4.7 with the K2 for Visual Studio component installed and upgraded to K2 Five, and then upgrade to K2 connect 5.0.
  2. Installing K2 connect on a clean K2 Five environment: You cannot install K2 connect 5.0 in a clean K2 Five environment. You must install K2 blackpearl 4.7 with  K2 for Visual Studio components first, and then install K2 connect 5.0.

Download

You can download the K2 connect installation package from the download’s page available on the K2 Partner and Customer Portal site. See the Installation details below for more information.

Download Now

Enhancements and Bug Fixes

The following enhancements and bug fixes have been made in this release:

  1. After upgrading to K2 connect 4.7.1 it was not possible to publish service objects using Visual Studio due to a "Time out has expired" error. K2 has reduced the number of calls to SQL to populate service objects which resolves this issue.
  2. The following enhancements address a K2 connect service error after upgrade and a RFC_COMMUNICATION_FAILURE error due to a connection loss:
    • Updated support for Sbyte type
    • Added communication failure retries
    • Multithreading
  3. When installing K2 connect in a K2 cluster configuration the local server name was used instead of the cluster FQDN.
  4. Updated the ERPConnect version to ERPConnect 5.
  5. K2 connect uses the new long format licensing key which is compatible with existing short keys.

Important Considerations and Behavioral Changes

  1. The SAP NetWeaver RFC libraries are required. The DLLs are not redistributed by SourceCode Technology Holdings, Inc. and must be obtained from services.sap.com. Once downloaded, you must copy the new NetWeaver RFC libraries to the correct system folders. The .zip files for each architecture (32 and 64-bit) contain four files, all of which are necessary.
    The 32bit files - copy to c:\Windows\SysWOW64
    The 64bit files - copy to c:\Windows\System32
  2. The installer updates both K2 connect 32-bit and 64-bit installations. One installer is used for new installations as well as for upgrades. When performing an upgrade, the current K2 connect version is uninstalled followed by the installation of the new version. Your existing settings are retained such as the K2 connect license key, however, it is important to select the correct database during installation.

Upgrading

Prerequisite:

  1. K2 blackpearl 4.7
  2. K2 connect 4.7.1 or 4.7.2

Steps to upgrade:

The following upgrade steps are required:

  1. Upgrade your K2 blackpearl 4.7 environment to K2 Five.
  2. Download K2 connect 5.0 and install.
  3. Apply the K2 connect license key.
The installer updates both K2 connect 32-bit and 64-bit installations, and is used for new installations and upgrades. When performing an upgrade, the current K2 connect version is uninstalled followed by the installation of the new version. Your existing settings are retained such as the K2 connect license key, however, it is important to select the correct database during the installation.

Installation

Prerequisites:

  1. K2 blackpearl 4.7.
  2. SAP Netweaver RFC Libraries

Steps to install K2 connect 5.0:

The following steps are required for a clean install of K2 connect 5.0

  1. Install K2 blackpearl 4.7 with the K2 for Visual Studio component.
  2. Upgrade your K2 blackpearl 4.7 environment to K2 Five.
  3. Download K2 connect 5.0 and install. The K2 Setup Manager guides you through the install.
  4. Apply the K2 connect license key.

Resolved Items in K2 connect for SAP version 5.001.1000.1

  • Installation: When installing K2 connect for SAP 5.0 on a server where K2 Five was installed from scratch, and updated to FP7, you encounter the following error: "Required product not found : - K2 blackpearl Server".
  • Installation: The version number has been removed from the About page, you can see what version you have in Add/Remove programs.